/* GUI Controls */
g1  = hslider("feedforward gain [midi:ctrl7]", 0.125 /* (0.5)^3 */, 0, 1, 0.01);
g2  = hslider("feedback gain", 0.59049 /* (0.9)^5 */, 0, 1, 0.01);

/* Signal Processing */
process = firpart : + ~ feedback
with {
  firpart(x) = x + g1 * x''';
  feedback(v) = 0 - g2 * v'''';
};

